Subject: Re: bug#66144: 29.1; eglot-shutdown request params violate JSONRPC spec

From: Javier Olaechea <[email-masked]>
Date: Sat, 3 Feb 2024 23:15:18 -0500

Javier, did you make any progress here?

I did sit down twice to read the jsonrpc.el code and  understand what I
need to do to make the change I hoped to. But unfortunately I can't even
say I understood jsonrpc--async-request-1 well enough.Or even, if that is
indeed the function we need to change so that we don't seed a params
attribute when params is nil. It seems that we are passing the params down
in multiple arms?

-- 
"I object to doing things that computers can do." — Olin Shivers